Name:		wikilynx
Version:	1.2.7
Release:	0%{?dist}
Summary:	A simple Qt C++ app to play Wikipedia speed-run the right way
URL:		https://github.com/flamboyantpenguin/wikilynx
License:	MIT
Source0:	https://github.com/flamboyantpenguin/wikilynx/archive/refs/tags/v1.2.7.tar.gz
Source1:	extras.tar.gz
Source2:	dawn.repo
BuildRequires:	cmake, qt6-qtwebengine-devel
Requires:	qt6-qtwebengine

%description
Navigate your way through articles in Wikipedia through hyperlinks.

%prep
%setup -q
tar -xzf %{SOURCE1} -C %{_builddir}/

%build
mkdir -p build
cd build
cmake ../wikiLYNX -DCMAKE_INSTALL_PREFIX=%{_prefix} -DCMAKE_BUILD_TYPE=MinSizeRel   # Set install prefix
make

%install

# bin
cd build
make DESTDIR=%{buildroot} install  # Use make install

# GUI
install -D -m 0644 %{_builddir}/extras/wikiLYNX.png %{buildroot}/usr/share/pixmaps/wikiLYNX.png
install -D -m 0644 %{_builddir}/extras/wikilynx.desktop %{buildroot}/usr/share/applications/wikilynx.desktop

# Docs
install -D -m 0644 ../LICENSE %{buildroot}/usr/share/licenses/wikilynx/LICENSE
install -D -m 0644 ../COPYING %{buildroot}/usr/share/licenses/wikilynx/COPYING
install -D -m 0644 ../COPYING.QtWebEngine %{buildroot}/usr/share/licenses/wikilynx/COPYING.QtWebEngine
install -D -m 0644 ../docs/license/NotoSans_OFL.txt %{buildroot}/usr/share/licenses/wikilynx/NotoSans_OFL.txt
install -D -m 0644 ../docs/license/CourierPrime_OFL.txt %{buildroot}/usr/share/licenses/wikilynx/CourierPrime_OFL.txt

# Repo
install -D -m 0644 %{SOURCE2} %{buildroot}/etc/yum.repos.d/dawn.repo

%files
/usr/bin/wikiLYNX
/usr/share/licenses/wikilynx/LICENSE
/usr/share/licenses/wikilynx/COPYING
/usr/share/licenses/wikilynx/COPYING.QtWebEngine
/usr/share/licenses/wikilynx/NotoSans_OFL.txt
/usr/share/licenses/wikilynx/CourierPrime_OFL.txt
/usr/share/applications/wikilynx.desktop
/usr/share/pixmaps/wikiLYNX.png
%config(noreplace) /etc/yum.repos.d/dawn.repo

%changelog
* Tue Oct 29 2024 Penguin <penguin@pcland.co.in> - 1.2.7-0
- Release 1.2.7

* Sat Oct 19 2024 Penguin <penguin@pcland.co.in> - 1.2.6-0
- Release 1.2.6

* Sat Oct 19 2024 Penguin <penguin@pcland.co.in> - 1.2.5-2
- Added repo
- Added Project URL

* Sat Oct 19 2024 Penguin <penguin@pcland.co.in> - 1.2.5-1
- Initial release.
